SDL_rand_bits(3)

NAME
SDL_rand_bits - Generate 32 pseudo-random bits.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_rand_bits(void);

DESCRIPTION
You likely want to use SDL_rand () to get a psuedo-random number instead.

There are no guarantees as to the quality of the random sequence produced, and this should not be used for security (cryptography, passwords) or where money is on the line (loot-boxes, casinos). There are many random number libraries available with different characteristics and you should pick one of those to meet any serious needs.

RETURN VALUE
( Uint32 ) Returns a random value in the range of [0- SDL_MAX_UINT32 ].

THREAD SAFETY
All calls should be made from a single thread

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_rand(3), •(3), SDL_randf(3), •(3), SDL_srand(3)